* {
    box-sizing: border-box;
}

@font-face {
    font-family: 'GillSans-Light';
    src: url('fonts/GillSans-Light.woff2') format('woff2'),
        url('fonts/GillSans-Light.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

html,
body {
    margin: 0;
    min-height: 100%;
}

body {
    font-family: 'GillSans-Light';
    font-weight: 300;
    color: #000000;
    background: #ffffff;
}

.page {
    position: relative;
    width: 100%;
    min-height: 100vh;
    overflow: hidden;
}

.intro {
    text-align: center;
    padding-top: 120px;
}

.avatar {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 210px;
    height: 210px;
    object-fit: cover;
}

h1 {
    margin: 40px auto 0;
    width: 210px;              
    text-align: left;
    font-size: clamp(2rem, 4vw, 3rem);
    font-weight: 300;
}

h2 {
    padding-top: 60px;
    margin: 0;
    font-size: 32px;
    font-weight: 300;
}

.services {
    margin: 40px auto 0;
    width: 210px;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    list-style: none;
}

.services li {
    margin: 0 0 20px;
    font-size: clamp(1.1rem, 2vw, 1.7rem);
    font-weight: 300;
    line-height: 1;
    text-transform: uppercase;
    white-space: nowrap;
}

.side-icons {
    position: absolute;
    top: 85vh;
    left: 50%;
    transform: translateX(-50%);

    display: flex;
    justify-content: center;
    align-items: center;

    width: min(90vw, 600px);
    gap: clamp(25px, 8vw, 100px);
}

.side-icons img {
    display: block;
    width: 39px;
    height: 39px;
    object-fit: contain;
    transition: transform 0.25s ease;
}

.side-icons a {
    position: relative;
    display: block;
    width: 39px;
    height: 39px;
}

.side-icons a:hover img {
    transform: scale(1.2);
}

.side-icons a[data-tooltip]::after {
    content: attr(data-tooltip);

    position: absolute;
    left: 50%;
    bottom: -35px;

    transform: translateX(-50%);
    opacity: 0;

    white-space: nowrap;
    padding: 5px 10px;
    border-radius: 4px;

    background: rgba(0,0,0,0.8);
    color: white;

    font-size: 14px;

    transition: opacity .25s ease;
    pointer-events: none;
}

.side-icons a[data-tooltip]:hover::after {
    opacity: 1;
}

.side-icons img:nth-child(1),
.side-icons img:nth-child(2) {
    width: 48px;
    height: 48px;
}

.contact-icons {
    position: absolute;
    right: 7vw;
    bottom: 2vh;

    display: flex;
    align-items: center;

    gap: clamp(18px, 3vw, 34px);
}

.contact-icons a {
    display: block;
    width: 32px;
    height: 32px;
}

.contact-icons img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.back-home {
    position: fixed;
    top: 30px;
    left: 30px;

    text-decoration: none;
    background-color: rgba(255, 255, 255, 255);
    color: rgba(85, 85, 85, 255);
    font-family: 'GillSans-Light';
    font-size: 24px;
    font-weight: 300;

    transition: transform 0.2s ease;
}

.back-home:hover {
    transform: scale(1.2);
}

.designs {
    margin: 120px auto;
    width: 90%;
    max-width: 1200px;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    gap: 20px;
}

.design {
    object-fit: contain;
    align-items: center;
}

.design img {
    width: 100%;
    height: 220px;
    object-fit: cover;
    cursor: pointer;
    transition: transform 0.25s;
}

.design img:hover {
    transform: scale(1.05);
}

.lightbox {
    position: fixed;
    inset: 0;

    display: none;
    justify-content: center;
    align-items: center;

    background: rgba(255,255,255,255);

    z-index: 9999;
}

.lightbox img {
    max-width: 95vw;
    max-height: 92vh;

    object-fit: contain;
}

.close-lightbox {
    position: absolute;

    top: 25px;
    right: 35px;

    border: none;

    background:rgba(0, 0, 0, 0);
    color: rgba(85, 85, 85, 255);

    font-size: 32px;
    cursor: pointer;

    transition: 0.2s;
}

.close-lightbox:hover {
    transform: scale(1.2);
}

.nav{
    position:absolute;

    top:50%;

    border:none;

    background:rgba(0, 0, 0, 0);
    color:rgba(85, 85, 85, 255);
    
    font-size:40px;
    cursor:pointer;

    transition: 0.2s;

    padding:10px 15px;
    z-index:1001;

    user-select:none;
}

.prev{
    left:20px;
}

.next{
    right:20px;
}

.nav:hover{
    transform: scale(1.2);
}

.lightbox-content{
    display:flex;
    align-items:center;
    gap:60px;
    max-width:90vw;
    max-height:90vh;
}

.lightbox-content img{
    max-width:65vw;
    max-height:90vh;
    object-fit:contain;
}

.lightbox-info{
    width: 300px;
    height: 90vh;

    display: flex;
    flex-direction: column;
    justify-content: flex-end;

    color: rgba(85, 85, 85, 255);
    font-size: 18px;
    line-height: 1.6;
}

.lightbox-info h3{
    margin: 0 0 20px 0;
    text-align: left;
    font-size: 24px;
    font-weight: 300;
    color: rgba(85, 85, 85, 255);
}

.lightbox-info p{
    margin: 0;
}

@media (max-width: 768px) {

    .lightbox-content{
        flex-direction: column;
        gap: 20px;
    }

    .lightbox-content img{
        max-width: 95vw;
        max-height: 70vh;
    }

    .lightbox-info{
        width: 95vw;
        height: auto;
        text-align: center;
    }

    .nav {
        top: auto;
        bottom: 20px;

        transform: none;
        font-size: 34px;
        padding: 8px 12px;
    }

    .prev {
        left: 20px;
    }

    .next {
        right: 20px;
    }
}